package com.njcn.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.system.pojo.param.MxGraphParam;
import com.njcn.system.pojo.po.MxGraph;

import java.util.List;

/**
 * pqs
 *
 * @author cdf
 * @date 2022/1/26
 */
public interface IMxGraphService extends IService<MxGraph> {

    /**
     * 新增组态
     * @author cdf
     * @date 2022/1/26
     */
    boolean addKingView(MxGraphParam mxGraphParam);

    /**
     *
     * @author cdf
     * @date 2022/1/26
     */
    List<MxGraph> getKingViewList();


    MxGraph getKingViewById(String id);
}
